My favorites | Sign in
dfo
Project Home Downloads Wiki Issues Source
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 30: Crash at startup, requires gconf-sharp 2.20, installed is 2.24
1 person starred this issue and may be notified of changes. Back to list
Status:  New
Owner:  ----


Sign in to add a comment
 
Reported by caudron...@gmail.com, Feb 27, 2009
What steps will reproduce the problem?
1. Launch the program with sh run.sh

What is the expected output? What do you see instead?

The program crashes with the following output:

** (DesktopFlickrOrganizer:5689): WARNING **: The following assembly
referenced from
/home/rebollo/desktopflickrorganizer-v0.8/DesktopFlickrOrganizer.exe could
not be loaded:
     Assembly:   gconf-sharp    (assemblyref_index=8)
     Version:    2.20.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in
the MONO_PATH environment variable, or in the location of the executing
assembly (/home/rebollo/desktopflickrorganizer-v0.8/).

** (DesktopFlickrOrganizer:5689): WARNING **: Could not load file or
assembly 'gconf-sharp, Version=2.20.0.0, Culture=neutral,
PublicKeyToken=35e10195dab3c99f' or one of its dependencies.

Unhandled Exception: System.TypeLoadException: A type load exception has
occurred.
  at DeskFlickrUI.SetHorizontalToolBar () [0x00000] 
  at DeskFlickrUI.CreateGUI () [0x00000] 
  at GladeApp.Main (System.String[] args) [0x00000] 

What version of the product are you using? On what operating system?

I'm using v0.8 on a Fedora 10.

Please provide any additional information below.

I think that the gconf-sharp component is provided by Fedora's gnome-sharp
rpm, which notably contains the following file:
/usr/lib/mono/gac/gconf-sharp/2.24.0.0__35e10195dab3c99f/gconf-sharp.dll
Fedora 10 has the version 2.24, which should be recent enough.



Mar 7, 2009
#1 open.v...@googlemail.com
Same here on Archlinux using v0.8 and v0.7 using Gnome 2.24.3 with having
gnome-sharp-2.24.0-1 installed.

_Output:_
** (DesktopFlickrOrganizer:12212): WARNING **: The following assembly referenced from
/home/vinz/Projekte/Pakete/desktop-flickr-organizer/desktopflickrorganizer-v0.8/DesktopFlickrOrganizer.exe
could not be loaded:
     Assembly:   gconf-sharp    (assemblyref_index=8)
     Version:    2.20.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/home/vinz/Projekte/Pakete/desktop-flickr-organizer/desktopflickrorganizer-v0.8/).


** (DesktopFlickrOrganizer:12212): WARNING **: Could not load file or assembly
'gconf-sharp, Version=2.20.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or
one of its dependencies.

Unhandled Exception: System.TypeLoadException: A type load exception has occurred.
  at DeskFlickrUI.SetHorizontalToolBar () [0x00000] 
  at DeskFlickrUI.CreateGUI () [0x00000] 
  at GladeApp.Main (System.String[] args) [0x00000] 
Mar 25, 2009
#2 drem...@gmail.com
Having the same problem, will try to downgrade gconf-sharp to version 2.20 and try again.
May 12, 2009
#3 borf...@gmail.com
Anyone found a solution for this?

I don't think downgrading gconf-sharp is the way to go but perhaps it can provide
some insight into what's wrong.
May 18, 2009
#4 mike...@gmail.com
If you can find the svn revision corresponding to the 0.8 release, you should be able
to build it locally to have it link with your current libraries.  Looks like that's
SVN r49. The following commands should check out, build and run that particular version:

svn checkout -r 49 http://dfo.googlecode.com/svn/trunk/ dfo-read-only
cd dfo-read-only
chmod +x compile.sh
./compile.sh
chmod +x run.sh
./run.sh

You'll need to have subversion installed, as well as the appropriate mono and glade
libs. (I don't know which those are; I apparently got lucky and already had them
installed as a result of installing the Ubuntu dfo package.)
Sign in to add a comment

Powered by Google Project Hosting